## haskell-enumerator 0.4.10

=== debian/changelog ===
haskell-enumerator (0.4.10-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:32:34 +0100

haskell-enumerator (0.4.10-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 29 May 2011 12:04:27 -0400
