## haskell-enumerator 0.4.14

=== debian/changelog ===
haskell-enumerator (0.4.14-1build1) precise; urgency=low

  * No-change rebuild

 -- Iain Lane <laney@ubuntu.com>  Wed, 14 Dec 2011 12:08:23 +0000

haskell-enumerator (0.4.14-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 30 Aug 2011 13:59:55 -0400
