## haskell-enumerator 0.4.16

=== debian/changelog ===
haskell-enumerator (0.4.16-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 26 Dec 2011 09:56:56 -0500
