## haskell-enumerator 0.4.18

=== debian/changelog ===
haskell-enumerator (0.4.18-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 05 Feb 2012 13:14:59 -0500
