=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-text-dev
+  , libghc-text-dev (>> 0.7)
+  , libghc-text-dev (<< 0.12)
   , libghc-text-prof
-  , libghc-transformers-dev
+  , libghc-transformers-dev (>> 0.2)
+  , libghc-transformers-dev (<< 0.3)
   , libghc-transformers-prof
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
