=== debian/control ===
--- 
+++ 
@@ -3,21 +3,19 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8)
+  , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
   , libghc-text-dev (>> 0.7)
-  , libghc-text-dev (<< 0.12)
   , libghc-text-prof
   , libghc-transformers-dev (>> 0.2)
-  , libghc-transformers-dev (<< 0.3)
   , libghc-transformers-prof
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
   , libghc-transformers-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/enumerator
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-enumerator
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-enumerator
@@ -30,9 +28,8 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: high-performance left-fold enumerators
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
+Description: high-performance left-fold enumerators${haskell:ShortBlurb}
+ ${haskell:Blurb}
  .
  Typical buffer–based incremental I/O is based around a single loop,
  which reads data from some source (such as a socket or file),
@@ -79,10 +76,8 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: high-performance left-fold enumerators; profiling libraries
- This package provides a library for the Haskell programming language,
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
+Description: high-performance left-fold enumerators${haskell:ShortBlurb}
+ ${haskell:Blurb}
 
 Package: libghc-enumerator-doc
 Section: doc
@@ -90,7 +85,5 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: high-performance left-fold enumerators; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
+Description: high-performance left-fold enumerators${haskell:ShortBlurb}
+ ${haskell:Blurb}
